Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - genymotion

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: genymotion 2.8.1-3

Git Clone URL: https://aur-dev.archlinux.org/genymotion.git (read-only)
Package Base: genymotion
Description: Complete set of tools that provides a virtual environment for Android.
Upstream URL: http://www.genymotion.com/
Licenses: custom
Submitter: katta
Maintainer: None (syncrtl64)
Last Packager: danyf90
Votes: 262
Popularity: 8.686805
First Submitted: 2013-08-02 09:18
Last Updated: 2016-12-18 12:19

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Hering commented on 2017-01-23 08:39

The support of ffmpeg0.10 got dropped and the current status is orphaned

mani.zaeim commented on 2017-01-22 02:53

Thanks for your great packaging on genymotion, will be appreciate if you can fix the dependencies.

on the installation it can not find the dependecies which are ffmpeg-compact and qca
error: target not found: ffmpeg-compat
after changing the ffmpeg-compat to ffmpeg0.10 and qca to qca-qt4 on PKGBUILD it fails due to pgp key

Verifying source file signatures with gpg...
ffmpeg-0.10.16.tar.bz2 ... FAILED (unknown public key B4322F04D67658D8)
==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Makepkg was unable to build ffmpeg0.10.

not to mention that ffmpeg0.10 is orphan.
Thanks.

z3ntu commented on 2017-01-20 09:25

FYI gstreamer0.10 will soon be dropped from the official repository. And genymotion still works when uninstalling gstreamer0.10 & gstreamer0.10-base.

shadofren commented on 2016-12-18 11:28

The installation process through pamac encounters problem. The sha512sums of genymotion-player.desktop file failed during checking. Is there any fix currently?

samalero commented on 2016-12-17 19:18

Update SHA512sum of genymotion-player.desktop - fabbccd65c22c2dc26b32a847c9fa81d4b7d3e2a13e976cd01c1517654e4bd7e4eac485152dbe8e97b1953ffda62f40e99223a76d24f0c8dfc6530fe3908b665

jtojnar commented on 2016-12-16 21:58

The URL of 2.8.1 no longer contains -linux:

#Maintainer: danyf90 <daniele.formichelli@gmail.com>
#Co-Maintainer: syncrtl64 <syncrtl64@gmail.com>
#Contributor: Andrea Cattaneo <andrea.cattaneo.dev@gmail.com>

pkgname=genymotion
pkgver=2.8.1
pkgrel=1
pkgdesc="Complete set of tools that provides a virtual environment for Android."
arch=('x86_64')
url="http://www.genymotion.com/"
depends=('ffmpeg-compat' 'gstreamer0.10' 'gstreamer0.10-base' 'libpng' 'net-tools' 'protobuf' 'qca-qt5'
'qt5-script' 'qt5-webkit' 'virtualbox')
install=$pkgname.install
license=('custom')
_ARCH="x64"
source=("genymotion.desktop"
"genymotion-player.desktop"
"https://dl.genymotion.com/releases/genymotion-$pkgver/$pkgname-${pkgver}_$_ARCH.bin")
sha512sums=('48e9bafe1d64b688c51eceb8d129f44d690060ff9a6d82eefcf3295f7834516ce62439faf4f4454287f594fc410aafbafd30a43537ea3d295c42bee8e4e03ac7'
'92286b54b4dfa68b4400ab4c72717c091fe6ea7e9142ef1cfebabe801e682f2a217a443c5990cf2b59f7fa5a4bc22484e8f11b0071766f689363d74d19cbe840'
'8ca4f46e983ffa2a19c21e961b6638af859f7635bd3a976c0b5709622a536569c81ccf3b08f52f0016e37990d83b1fd38cc86c9dbb5599e727fd48558567dfa7')

package(){
cd $srcdir

install -d $pkgdir/opt
yes | bash ./$pkgname-${pkgver}_$_ARCH.bin -d $pkgdir/opt

install -d $pkgdir/usr/bin
ln -s /opt/genymotion/genymotion $pkgdir/usr/bin/genymotion
ln -s /opt/genymotion/genymotion-shell $pkgdir/usr/bin/genymotion-shell
ln -s /opt/genymotion/player $pkgdir/usr/bin/genymotion-player
ln -s /opt/genymotion/gmtool $pkgdir/usr/bin/gmtool
install -Dm644 $srcdir/genymotion.desktop $pkgdir/usr/share/applications/genymotion.desktop
install -Dm644 $srcdir/genymotion-player.desktop $pkgdir/usr/share/applications/genymotion-player.desktop
chown -R root:root $pkgdir/opt/genymotion
rm $pkgdir/opt/genymotion/libdrm.so.2
rm $pkgdir/opt/genymotion/libxcb.so.1

}

z3ntu commented on 2016-12-03 17:54

Dez 03 09:30:53 g550jk kdeinit5[1243]: The desktop entry file "/usr/share/applications/genymotion-player.desktop" has Type= "Application" but no Exec line

sys-r commented on 2016-11-07 11:44

I had to re install it cause it didnt upgrade. It works fine

syncrtl64 commented on 2016-11-04 06:37

Removed libdrm.so.2 and libxcb.so.1 and I completely booted a virtual image(that 7.0.0 preview) successfully. Please let me know if any error still occurs. Remember that this happens because of other packages, we just try to circumvent the current situation by trying to delete files(not the optimum way of doing things).

kszonek commented on 2016-11-03 22:17

to fix:
"genymotion: symbol lookup error: /usr/lib/libX11.so.6: undefined symbol: xcb_wait_for_reply64"

i went with:
$ sudo mv /opt/genymotion/libxcb.so.1 /opt/genymotion/libxcb.so.1.xyz

but my virtual device is shuting down with error:
Nov 3 23:12:44 [Genymotion Player] [Fatal] Could not initialize GLX

EDIT: I reinstalled mesa-libgl and now having same error as farwayer
"genymotion: symbol lookup error: /usr/lib/libGL.so.1: undefined symbol: drmGetDevice"

doing:
$ sudo mv /opt/genymotion/libdrm.so.1 /opt/genymotion/libdrm.so.1.xyz
seems to do the trick